#!/bin/bash

if test -f "gilgetter.exe"; then
    echo Cleaning old gilgetter.exe
    rm -f gilgetter.exe
fi

echo Building gilgetter-dev
go build .

echo Setting env vars

# Set this to the name of the world you play on
export world="excalibur"
export datacenter="primal"

# Define the names of your retainers - this is used for the "checkmark" that's displayed
# next to items that you already have listed on the market to help you avoid posting duplicate items
# You can remove or add more as long as the suffixed numbers start at 0 and are a continuous range
export retainer_0="Superbe"
export retainer_1="Monamoure"
export retainer_2="Mondieu"

echo Starting program
echo -----------------------------------------
./gilgetter.exe