# inventorytools-client

This is the client

Monitors file for changes: %appdata%\XIVLauncher\pluginConfigs\InventoryTools\inventories.json 

If any changes it will parse the file and then post the resulting json to an endpoint on gilgetter.


### Usage

To build, it requires creating a configuration.go (configuration in code because I'm super lazy) file in the client directory with the following:

```go


package main

import (
	inventorytools "code.mashffxiv.com/MashPotato/gilgetter/inventorytools"
)

const (
	characterID = 18014498565524067 // set your own
	gilgetterURL = "https://gilgetter.mashffxiv.com/inventory" // set your own
)

func setRetainers() {

	retainers = make([]inventorytools.Retainer, 0)

	retainer := inventorytools.Retainer{
		ID:                33777097240525369, // set your own
		Name:              "Miamoore", // set your own
		MarketItemStorage: true, // set your own
	}
	retainers = append(retainers, retainer)

	retainer = inventorytools.Retainer{
		ID:                33777097241150467, // set your own
		Name:              "Superbe", // set your own
		MarketItemStorage: false, // set your own
	}
	retainers = append(retainers, retainer)
}
```

Then you simply run the utility and leave it running in the background.  It will synchronize your character inventory, retainer bag inventories and retainer market inventories to gilgetter