{{ template "auto-xiv-common.ahk" . }}

withdrawItems() {
	 	static _ := withdrawItems()

	WaitImageSearch(retainerListX, retainerListY, 530, 430, 1260, 1000, "*150 images/retainernames.png", 5000)
	if (!retainerListX||!retainerListY) {
		WriteLog("ImageSearch for retainernames.png failed")
		return
	}

{{ range .Retainers }}

	{{ if and (not .ContainerOne) (not .ContainerTwo) (not .ContainerThree) (not .ContainerFour) (not .ContainerFive) }}
		{{ continue }}
	{{ end }}

	selectRetainer(retainerMenuX, retainerMenuY, {{ .RetainerNumber }})
	if (!retainerMenuX||!retainerMenuY){
		WriteLog("could not select retainer number {{ .RetainerNumber }}, could not find retainer menu")
		return
	}

	selectRetainerMenuItem(retainerMenuX, retainerMenuY, 1)

	WaitImageSearch(retainerInventoryX, retainerInventoryY, 1750, 10, 2560, 215, "*150 images/retainerinventory.png", 5000)
	if (!retainerInventoryX||!retainerInventoryY) {
		WriteLog("ImageSearch for retainerinventory.png failed")
		return
	}

	; container 1 - offset 46
{{ range .ContainerOne }}
	row := {{ .Row }}
	col := {{ .Col }}
	MouseMove, retainerInventoryX+46+(col-1)*69, retainerInventoryY+133+(row-1)*69, 3
	Sleep 300
	MouseClick, Right ; 
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 100
{{ end }}


	; container 2 - offset 404
{{ range .ContainerTwo }}
	row := {{ .Row }}
	col := {{ .Col }}
	MouseMove, retainerInventoryX+404+(col-1)*69, retainerInventoryY+133+(row-1)*69, 3
	Sleep 300
	MouseClick, Right ; 
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 100
{{ end }}

{{ if or (.ContainerThree) (.ContainerFour) }}
	
	; select containers 3-4
	MouseMove, retainerInventoryX+362, retainerInventoryY+68, 3
	Sleep 250
	MouseClick ; Click the 2 button to switch to containers 3-4
	MouseClick
	Sleep 20

	; container 3 - offset 46
{{ range .ContainerThree }}
	row := {{ .Row }}
	col := {{ .Col }}
	MouseMove, retainerInventoryX+46+(col-1)*69, retainerInventoryY+133+(row-1)*69, 3
	Sleep 300
	MouseClick, Right ; 
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 100
{{ end }}

	; container 4 - offset 404
{{ range .ContainerFour }}
	row := {{ .Row }}
	col := {{ .Col }}
	MouseMove, retainerInventoryX+404+(col-1)*69, retainerInventoryY+133+(row-1)*69, 3
	Sleep 300
	MouseClick, Right ; 
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 100
{{ end }}

{{ end }}

{{ if (.ContainerFive) }}
	; select container 5
	MouseMove, retainerInventoryX+607, retainerInventoryY+68, 3
	Sleep 250
	MouseClick ; Click the 2 button to switch to containers 3-4
	MouseClick
	Sleep 20

	; container 5 - offset 46
{{ range .ContainerFive }}
	row := {{ .Row }}
	col := {{ .Col }}
	MouseMove, retainerInventoryX+46+(col-1)*69, retainerInventoryY+133+(row-1)*69, 3
	Sleep 300
	MouseClick, Right ; 
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 50
	MouseClick, Right
	Sleep 100
{{ end }} ; end range loop

{{ end }} ; end if statement
	
	exitRetainer()
{{ end }} ; end retainer range loop

	runXivCommand("ggsync")
	ExitApp
}
